获取仓库的某个Issue
GET/api/v5/repos/:owner/:repo/issues/:number
Request
Path Parameters
owner stringrequired
仓库所属空间地址(组织或个人的地址path)
repo stringrequired
仓库路径(path)
number stringrequired
Issue 编号(区分大小写,无需添加 # 号)
Query Parameters
access_token string
用户授权码
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
- Array [
- ]
idintegerrequired
html_urlstringrequired
numberstringrequired
statestringrequired
titlestringrequired
bodystringrequired
user objectrequired
avatar_urlstringrequired
html_urlstringrequired
idstringrequired
loginstringrequired
namestringrequired
repository objectrequired
idintegerrequired
full_namestringrequired
pathstringrequired
namestringrequired
descriptionstringrequired
created_atstringrequired
updated_atstringrequired
assigner objectrequired
object
paasstringrequired
created_atstringrequired
updated_atstringrequired
finished_atstringrequired
labels object[]required
idinteger
namestring
colorstring
created_atstring
updated_atstring
label添加时间
issue_statestringrequired
commentsintegerrequired
priorityintegerrequired
issue_typestringrequired
issue_state_detail object
titlestringrequired
serialintegerrequired
idintegerrequired
issue_type_detail object
titlestringrequired
idintegerrequired
is_systembooleanrequired
issue_priority_detail object
issue优先级
idstringrequired
titlestringrequired
milestone objectrequired
created_atstringrequired
descriptionstringrequired
due_onstringrequired
numberintegerrequired
repository_idintegerrequired
statestringrequired
titlestringrequired
updated_atstringrequired
urlstringrequired
custom_fields object[]
自定义字段信息
field_namestring
自定义字段名称
field_typestring
自定义字段的类型。text_single:单行文本,text_multi:多行文本,integer:整数,decimal:小数,date:日期,select_single:单选下拉,select_multi:多选下拉,member_single:单选成员,member_multi:多选成员
field_visibilitystring
可见性。0:仅管理员可见,1:所有人可见
field_valuesstring[]
自定义字段的值
visibility_reasonstring
可见性,public:公开可见,confidential:私密,项目成员可见,other:其他原因导致的仅项目成员可见
{
"id": 0,
"html_url": "string",
"number": "string",
"state": "string",
"title": "string",
"body": "string",
"user": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string"
},
"repository": {
"id": 0,
"full_name": "string",
"path": "string",
"name": "string",
"description": "string",
"created_at": "string",
"updated_at": "string",
"assigner": {},
"paas": "string"
},
"created_at": "string",
"updated_at": "string",
"finished_at": "string",
"labels": [
{
"id": 0,
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
],
"issue_state": "string",
"comments": 0,
"priority": 0,
"issue_type": "string",
"issue_state_detail": {
"title": "string",
"serial": 0,
"id": 0
},
"issue_type_detail": {
"title": "string",
"id": 0,
"is_system": true
},
"issue_priority_detail": {
"id": "string",
"title": "string"
},
"milestone": {
"created_at": "string",
"description": "string",
"due_on": "string",
"number": 0,
"repository_id": 0,
"state": "string",
"title": "string",
"updated_at": "string",
"url": "string"
},
"custom_fields": [
{
"field_name": "string",
"field_type": "string",
"field_visibility": "string",
"field_values": [
"string"
]
}
],
"visibility_reason": "string"
}
{
"id": 152212,
"html_url": "https://test.gitcode.net/dengmengmian/test01/issues/3",
"number": 3,
"state": "opened",
"title": "查员种金交片",
"body": "而很资七图数指反系并物众示易今高。运边月发红条亲才调二心点上米面世其分。由众计比维选作小指件每酸一见基历。向九又中国层合感内两米或自很转的。",
"user": {
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"events_url": null,
"followers_url": null,
"following_url": null,
"gists_url": null,
"html_url": "https://test.gitcode.net/dengmengmian",
"id": "661ce4eab470b1430d456154",
"login": "dengmengmian",
"member_role": null,
"name": "麻凡_",
"organizations_url": null,
"received_events_url": null,
"remark": null,
"repos_url": null,
"starred_url": null,
"subscriptions_url": null,
"type": null,
"url": null
},
"assignee": null,
"repository": {
"id": 280713,
"full_name": "dengmengmian / test01",
"path": "test01",
"name": "test01",
"description": "",
"created_at": "2024-04-15T16:27:45.090+08:00",
"updated_at": "2024-04-15T16:27:45.090+08:00",
"assigner": null,
"pushed_at": null,
"paas": null,
"assignees_number": null,
"testers_number": null,
"assignee": null,
"testers": null
},
"created_at": "2024-04-15T21:58:21.188+08:00",
"updated_at": "2024-04-15T21:58:21.188+08:00",
"finished_at": null,
"labels": [],
"priority": null,
"issue_type": null,
"issue_state": "opened",
"issue_state_detail": null,
"stage": "New",
"severity": "Major"
}